p.correct <-
function(modelResults, method){
    pvals.raw <- c()
    for(modNum in 2:length(modelResults$coefs)){
        tempCoef <- modelResults$coefs[[paste0(paste0("ME",(modNum-1)))]]
        if("Pr(>|t|)" %in% colnames(tempCoef)){
            pval <- tempCoef[paste0("ME",(modNum-1)), "Pr(>|t|)"]
        }
        else if("Pr(>|z|)" %in% colnames(tempCoef)){
            pval <- tempCoef[paste0("ME",(modNum-1)), "Pr(>|z|)"]
        }        
        pvals.raw <- c(pvals.raw, pval)
    }
    pvals.adj <- p.adjust(pvals.raw, method=method)
    result <- list()
    result[["pvals.raw"]] <- pvals.raw
    result[["pvals.adj"]] <- pvals.adj
    result[["adj.method"]] <- method
    return(result)
}
