save.info <-
function(outPath, seed=NULL){
    ## Saves the output of sessionInfo usually in the result (experiment) folder.
    result <- list()
    saveTime <-  Sys.time()
    result[["saveTime"]] <- saveTime
    infoPath <- file.path(outPath, "info")
    dir.create(infoPath, recursive=TRUE, showWarnings=FALSE)
    info <- list(sessionInfo=sessionInfo(), time=saveTime, platform=Sys.info())
    info[["seed"]] <- seed
    result[["info"]] <- info
    infoFileName <- paste0(gsub(saveTime, pattern=" |:", replacement="_"),".RData")
    save(info, file=file.path(infoPath, infoFileName))
    return(result)
}
